local RW = LibStub("AceAddon-3.0"):GetAddon("Raid Watch 3")

local plugin = RW:NewModule("Core")

function plugin:OnInitialize()
	RW.Callbacks:Fire("CoreInitialized")
end

function plugin:OnEnable()
	RW.Callbacks:Fire("CoreEnabled")
end

RW.Callbacks:Fire("CoreLoaded")

RW.Time = {}

function RW.Time:Seconds(t)
	if t < 60 then
		return floor(t)
	elseif t % 60 == 0
		then return 0
	else
		return floor(t % 60)
	end
end

function RW.Time:Minutes(t)
	if t < 60 then
		return 0
	else
		return floor(t / 60)
	end
end

function RW.Time:Thousands(t)
	return t % 1
end